---
apiVersion: batch/v1
kind: Job
metadata:
  name: volsync-unlock-{{ ENV.APP }}
  namespace: {{ ENV.NS }}
spec:
  ttlSecondsAfterFinished: 3600
  template:
    spec:
      automountServiceAccountToken: false
      restartPolicy: OnFailure
      containers:
        - name: minio
          image: docker.io/restic/restic:latest
          args: ["unlock", "--remove-all"]
          envFrom:
            - secretRef:
                name: {{ ENV.APP }}-volsync-secret
          volumeMounts:
            - name: repository
              mountPath: /repository
          resources: {}
        - name: r2
          image: docker.io/restic/restic:latest
          args: ["unlock", "--remove-all"]
          envFrom:
            - secretRef:
                name: {{ ENV.APP }}-volsync-r2-secret
          resources: {}
      volumes:
        - name: repository
          nfs:
            server: boa.mapanare.net
            path: /mnt/storage0/Volsync
